[Unit]
Description=Bind mount volatile /var/spool/cron
DefaultDependencies=false
Before=local-fs.target
RequiresMountsFor=/var/volatile /var/spool
ConditionPathIsReadWrite=/var/volatile
ConditionPathExists=/var/spool/cron
ConditionPathIsReadWrite=!/var/spool/cron

[Service]
Type=oneshot
RemainAfterExit=Yes
StandardOutput=syslog
TimeoutSec=0
ExecStart=/sbin/mount-copybind /var/volatile/cron /var/spool/cron
ExecStop=/bin/umount /var/spool/cron

[Install]
WantedBy=local-fs.target
